View Issue Details

IDProjectCategoryView StatusLast Update
0005210Talermerchant backend API (HTTP specification)public2020-10-03 14:09
ReporterFlorian Dold Assigned ToFlorian Dold  
PrioritynormalSeverityfeatureReproducibilityhave not tried
Status resolvedResolutionfixed 
Product Versiongit (master) 
Target Version0.8Fixed in Version0.8 
Summary0005210: merchant's /pay should also accept own signature for replay to save traffic and wallet/merchant storage
DescriptionCurrently even if coins are expired, we need to keep (at least parts of) them around, so we can to a /pay replay when we don't have the session cookie for e.g. an article.

Instead /pay should also accept the signature that the merchant previously gave.
 This way the merchant backend and wallet can garbage collect coins after they expired.

If we don't implement this, we either
a) must accept that after coins expired we can't do a replay and if cookies are lost we can't view digital goods anymore
b) need to store coins forever in the merchant and wallet
TagsNo tags attached.

Activities

Christian Grothoff

2020-04-13 21:36

manager   ~0015642

Can we define another endpoint for this? Anything except /pay, to avoid overloading it?

Christian Grothoff

2020-07-18 21:49

manager   ~0016489

c95e975..ece354e (docs.git) specifies /paid as a new endpoint for this.

jonathanbuchanan

2020-07-24 22:56

developer   ~0016519

Implemented in the merchant in 26c6bb9..b6cb1cc.

Florian Dold

2020-08-19 17:35

manager   ~0016662

Implemented in the wallet, including an integration test that checks if the right endpoints are called via the fault injection proxy.

Issue History

Date Modified Username Field Change
2017-12-10 20:57 Florian Dold New Issue
2017-12-10 21:48 Christian Grothoff Status new => confirmed
2017-12-10 21:48 Christian Grothoff Product Version => git (master)
2017-12-10 21:48 Christian Grothoff Target Version => 0.7.1
2018-01-30 08:31 Christian Grothoff Severity minor => feature
2020-04-13 02:38 Christian Grothoff Category other => merchant backend API (HTTP specification)
2020-04-13 02:38 Christian Grothoff Assigned To => Christian Grothoff
2020-04-13 02:38 Christian Grothoff Status confirmed => assigned
2020-04-13 21:36 Christian Grothoff Target Version 0.7.1 => 0.8
2020-04-13 21:36 Christian Grothoff Note Added: 0015642
2020-07-18 21:49 Christian Grothoff Note Added: 0016489
2020-07-22 11:53 Christian Grothoff Assigned To Christian Grothoff => jonathanbuchanan
2020-07-24 22:56 jonathanbuchanan Note Added: 0016519
2020-07-24 22:56 jonathanbuchanan Assigned To jonathanbuchanan => Florian Dold
2020-08-19 17:35 Florian Dold Status assigned => resolved
2020-08-19 17:35 Florian Dold Resolution open => fixed
2020-08-19 17:35 Florian Dold Note Added: 0016662
2020-10-03 14:09 Christian Grothoff Fixed in Version => 0.8